Bug 120726 - Errors on audit initscript
Errors on audit initscript
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: laus (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Grubb
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-13 11:45 EDT by Derek Anderson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 15:47:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-04-13 11:45:01 EDT
Description of problem:

The initscript /etc/init.d/audit script displays the following error
messages on startup:

[root@link-13 init.d]# ./audit start
Starting audit subsystem./audit: line 66:
/proc/sys/dev/audit/attach-all: No such file or directory
./audit: line 67: /proc/sys/dev/audit/paranoia: No such file or directory
Removed stale lock /var/run/auditd.pid
                                                           [  OK  ]

The audit directory does not exist under /proc/sys/dev:
[root@link-13 raid]# ls /proc/sys/dev
raid
[root@link-13 raid]#

The erroring lines from the script:
        echo $AUDIT_ATTACH_ALL > /proc/sys/dev/audit/attach-all
2>/dev/null
        echo $AUDIT_PARANOIA > /proc/sys/dev/audit/paranoia 2>/dev/null



Version-Release number of selected component (if applicable):
RHEL3-U2 re0330.0 ia64


How reproducible:
Always


Steps to Reproduce:
1. Reboot and watch console or run '/etc/init.d/audit restart'
2.
3.
  
Actual results:
[root@link-13 init.d]# ./audit start
Starting audit subsystem./audit: line 66:
/proc/sys/dev/audit/attach-all: No such file or directory
./audit: line 67: /proc/sys/dev/audit/paranoia: No such file or directory
Removed stale lock /var/run/auditd.pid
                                                           [  OK  ]

Expected results:
Start without error.


Additional info:
Comment 1 Charlie Bennett 2004-04-13 14:06:41 EDT
LAuS does not have proper kernel support on ia64.  I'm planning to
modify the pre- and post- install scripts so that we don't chkconfig
--add audit at install time and modify the initscript to exit
gracefully if the kernel module cannot be loaded.
Comment 2 Glen A. Foster 2004-04-29 14:41:29 EDT
I was told in a separate correspondence that this WOULD be fixed for
the final cut of RHEL3u2 -- please make sure this error goes away in
the final spin for both i386 AND ia64.
Comment 3 David Lawrence 2006-07-17 23:42:05 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.